MR-E-2 SDK

Public Member Functions | List of all members
MrE2ModuleSdk.Device.ITemperatureManager Interface Reference
Inheritance diagram for MrE2ModuleSdk.Device.ITemperatureManager:

## Public Member Functions
int | ReadDeviceTemperature ()
| Returns device temperature. More...
int | ReadBoardTemperature ()
| Returns board temperature. More...
void | WriteBoardTemperatureThreshold (int temperatureThreshold)
| Sets board temperature threshold. More...
int | ReadBoardTemperatureThreshold ()
| Returns board temperature threshold. More...
void | WriteDeviceTemperatureThreshold (int temperatureThreshold)
| Sets device temperature threshold. More...
int | ReadDeviceTemperatureThreshold ()
| Returns board temperature threshold. More...

## Member Function Documentation

## ◆ ReadBoardTemperature()

int MrE2ModuleSdk.Device.ITemperatureManager.ReadBoardTemperature | ( |  | ) |

Returns board temperature.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadBoardTemperatureThreshold()

int MrE2ModuleSdk.Device.ITemperatureManager.ReadBoardTemperatureThreshold | ( |  | ) |

Returns board temperature threshold.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadDeviceTemperature()

int MrE2ModuleSdk.Device.ITemperatureManager.ReadDeviceTemperature | ( |  | ) |

Returns device temperature.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ ReadDeviceTemperatureThreshold()

int MrE2ModuleSdk.Device.ITemperatureManager.ReadDeviceTemperatureThreshold | ( |  | ) |

Returns board temperature threshold.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ WriteBoardTemperatureThreshold()

void MrE2ModuleSdk.Device.ITemperatureManager.WriteBoardTemperatureThreshold | ( | int | temperatureThreshold | ) |

Sets board temperature threshold.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

## ◆ WriteDeviceTemperatureThreshold()

void MrE2ModuleSdk.Device.ITemperatureManager.WriteDeviceTemperatureThreshold | ( | int | temperatureThreshold | ) |

Sets device temperature threshold.

Returns

Implemented in MrE2ModuleSdk.Device.MrE2ForMr15Dash30SdkComDeviceController.

The documentation for this interface was generated from the following file:

- Device/MrE2SdkComDeviceController.cs